package app18a.dao;

import app18a.to.CustomerSearchCriteriaTO;
import app18a.to.CustomerTO;

import java.util.ArrayList;

public interface CustomerDAO {
  public void createCustomer(CustomerTO customer) throws DAOException;
  public void updateCustomer(CustomerTO customer) throws DAOException;
  public CustomerTO getCustomer(int customerId) throws DAOException;
  public void deleteCustomer(int customerID) throws DAOException;
  public ArrayList searchCustomers(CustomerSearchCriteriaTO searchCriteria) throws DAOException;
}
